tuple.h File Reference

Tuple operators. More...

`#include "cvc4_public.h"`
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include <utility>`
Include dependency graph for tuple.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CVC4::TupleSelect
class | CVC4::TupleUpdate
struct | CVC4::TupleSelectHashFunction
struct | CVC4::TupleUpdateHashFunction

## Namespaces

namespace | CVC4

## Functions

std::ostream & | CVC4::operator<< (std::ostream &out, const TupleSelect &t)
std::ostream & | CVC4::operator<< (std::ostream &out, const TupleUpdate &t)

## Detailed Description

Tuple operators.

    ** Original author: Morgan Deters
    ** Major contributors: none
    ** Minor contributors (to current version): none
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

Tuple operators.

Definition in file tuple.h.